ObjectIdGenerators.IntSequenceGenerator
Date: 2016-12-03

com.fasterxml.jackson.annotation

## Class ObjectIdGenerators.IntSequenceGenerator

- java.lang.Object
- - com.fasterxml.jackson.annotation.ObjectIdGenerator<T>
  - - com.fasterxml.jackson.annotation.ObjectIdGenerators.IntSequenceGenerator

- All Implemented Interfaces:
    java.io.Serializable
  Enclosing class:
    ObjectIdGenerators

      public static final class ObjectIdGenerators.IntSequenceGenerator
      extends ObjectIdGenerator<T>

  Simple sequence-number based generator, which uses basic Java `int`s (starting with value 1) as Object Identifiers.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.fasterxml.jackson.annotation.ObjectIdGenerator

      `ObjectIdGenerator.IdKey`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `_nextValue`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ObjectIdGenerators.IntSequenceGenerator()`
    `ObjectIdGenerators.IntSequenceGenerator(java.lang.Class<?> scope, int fv)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ObjectIdGenerator<java.lang.Integer>` | `forScope(java.lang.Class<?> scope)` Factory method to create a blueprint instance for specified scope.
    `java.lang.Integer` | `generateId(java.lang.Object forPojo)` Method used for generating a new Object Identifier to serialize for given POJO.
    `protected int` | `initialValue()`
    `ObjectIdGenerator.IdKey` | `key(java.lang.Object key)` Method for constructing key to use for ObjectId-to-POJO maps.
    `ObjectIdGenerator<java.lang.Integer>` | `newForSerialization(java.lang.Object context)` Factory method called to create a new instance to use for serialization: needed since generators may have state (next id to produce).

    - ### Methods inherited from class com.fasterxml.jackson.annotation.ObjectIdGenerator

      `isValidReferencePropertyName, maySerializeAsObject`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _nextValue

          protected transient int _nextValue

  - ### Constructor Detail

    - #### ObjectIdGenerators.IntSequenceGenerator

          public ObjectIdGenerators.IntSequenceGenerator()

    - #### ObjectIdGenerators.IntSequenceGenerator

          public ObjectIdGenerators.IntSequenceGenerator(java.lang.Class<?> scope,
                                                 int fv)

  - ### Method Detail

    - #### initialValue

          protected int initialValue()

    - #### forScope

          public ObjectIdGenerator<java.lang.Integer> forScope(java.lang.Class<?> scope)

      Description copied from class: `ObjectIdGenerator`
      Factory method to create a blueprint instance for specified scope. Generators that do not use scope may return 'this'.
      Specified by:
        `forScope` in class `ObjectIdGenerator<java.lang.Integer>`

    - #### newForSerialization

          public ObjectIdGenerator<java.lang.Integer> newForSerialization(java.lang.Object context)

      Description copied from class: `ObjectIdGenerator`
      Factory method called to create a new instance to use for serialization: needed since generators may have state (next id to produce).

      Note that actual type of 'context' is `com.fasterxml.jackson.databind.SerializerProvider`, but can not be declared here as type itself (as well as call to this object) comes from databind package.

      Specified by:
        `newForSerialization` in class `ObjectIdGenerator<java.lang.Integer>`
      Parameters:
        `context` - Serialization context object used (of type `com.fasterxml.jackson.databind.SerializerProvider`; may be needed by more complex generators to access contextual information such as configuration.

    - #### key

          public ObjectIdGenerator.IdKey key(java.lang.Object key)

      Description copied from class: `ObjectIdGenerator`
      Method for constructing key to use for ObjectId-to-POJO maps.
      Specified by:
        `key` in class `ObjectIdGenerator<java.lang.Integer>`

    - #### generateId

          public java.lang.Integer generateId(java.lang.Object forPojo)

      Description copied from class: `ObjectIdGenerator`
      Method used for generating a new Object Identifier to serialize for given POJO.
      Parameters:
        `forPojo` - POJO for which identifier is needed
      Returns:
        Object Identifier to use.